Retrieve JSON Web Key Set

Retrieves the JSON Web Key Set (JWKS) for verifying token signatures.

GET
/service/oauth/jwks

Retrieves the JSON Web Key Set (JWKS) for verifying token signatures.

apikey<token>

Tenant API Key for authentication

In: query

Response Body

application/json

application/json

application/json

curl -X GET "https://TenantName.hub.loginradius.com/service/oauth/jwks"
{
  "keys": [
    {
      "alg": "RS256",
      "e": "AQAB",
      "kid": "31524f1ce57e45fd967d7431e18b97c6",
      "kty": "RSA",
      "n": "0u2t0m8XWLAOTYWR4vtT...",
      "use": "sig"
    }
  ]
}

{
  "error": "invalid_request",
  "error_description": "Your LoginRadius site does not have permission to access this endpoint, please contact LoginRadius support for more information."
}

{
  "error": "unauthorized_client",
  "error_description": "The Token configuration is not valid."
}